enum BarcodeScannerError: Error {
    case noCamera
    case alreadyStarted
    case alreadyStopped
    case cameraError(_ error: Error)
    case zoomWhenStopped
    case zoomError(_ error: Error)
    case exposureWhenStopped
    case exposureError(_ error: Error)
    case analyzerError(_ error: Error)
}
