#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint barcode_scanner.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'consoledoctor_barcode_scanner'
  s.version          = '0.0.2'
  s.summary          = 'Flutter barcode scanner using MLKit'
  s.description      = <<-DESC
Flutter barcode scanner using MLKit
                       DESC
  s.homepage         = 'http://consoledoctor.co.uk'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'MrStubbly' => 'rich@consoledoctor.co.uk' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'GoogleMLKit/BarcodeScanning', '~> 7.0.0'
  s.platform = :ios, '15.5.0'
  s.static_framework = true

  # Flutter.framework does not contain a i386 slice and MLKit does not support armv7.
  s.pod_target_xcconfig = {
    'DEFINES_MODULE' => 'YES',
    # TODO: add back arm64 (and armv7?) when switching to the Vision API.
    'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386 armv7 arm64',
    'EXCLUDED_ARCHS[sdk=iphoneos*]' => 'armv7',
  }
  s.swift_version = '5.0'

  # If your plugin requires a privacy manifest, for example if it uses any
  # required reason APIs, update the PrivacyInfo.xcprivacy file to describe your
  # plugin's privacy impact, and then uncomment this line. For more information,
  # see https://developer.apple.com/documentation/bundleresources/privacy_manifest_files
  # s.resource_bundles = {'barcode_scanner_privacy' => ['Resources/PrivacyInfo.xcprivacy']}
end
