package consoledoctor.barcode_scanner.objects

class BarcodeScannerErrorCodes {
    companion object {
        const val ALREADY_STARTED_ERROR = "BARCODE_SCANNER_ALREADY_STARTED_ERROR"
        const val ALREADY_STARTED_ERROR_MESSAGE = "The scanner was already started."
        // The error code 'BARCODE_ERROR' does not have an error message,
        // because it uses the error message from the underlying error.
        const val BARCODE_ERROR = "BARCODE_SCANNER_BARCODE_ERROR"
        // The error code 'CAMERA_ACCESS_DENIED' does not have an error message,
        // because it is used for a boolean result.
        const val CAMERA_ACCESS_DENIED = "BARCODE_SCANNER_CAMERA_PERMISSION_DENIED"
        const val CAMERA_ERROR = "BARCODE_SCANNER_CAMERA_ERROR"
        const val CAMERA_ERROR_MESSAGE = "An error occurred when opening the camera."
        const val CAMERA_PERMISSIONS_REQUEST_ONGOING = "BARCODE_SCANNER_CAMERA_PERMISSION_REQUEST_PENDING"
        const val CAMERA_PERMISSIONS_REQUEST_ONGOING_MESSAGE = "Another request is ongoing and multiple requests cannot be handled at once."
        const val GENERIC_ERROR = "BARCODE_SCANNER_GENERIC_ERROR"
        const val GENERIC_ERROR_MESSAGE = "An unknown error occurred."
        const val INVALID_ZOOM_SCALE_ERROR_MESSAGE = "The zoom scale should be between 0 and 1 (both inclusive)"
        const val INVALID_EXPOSURE_LEVEL_ERROR_MESSAGE = "The exposure level is invalid"
        const val NO_CAMERA_ERROR = "BARCODE_SCANNER_NO_CAMERA_ERROR"
        const val NO_CAMERA_ERROR_MESSAGE = "No cameras available."
        const val SET_SCALE_WHEN_STOPPED_ERROR = "BARCODE_SCANNER_SET_SCALE_WHEN_STOPPED_ERROR"
        const val SET_SCALE_WHEN_STOPPED_ERROR_MESSAGE = "The zoom scale cannot be changed when the camera is stopped."
        const val SET_EXPOSURE_WHEN_STOPPED_ERROR = "BARCODE_SCANNER_SET_EXPOSURE_WHEN_STOPPED_ERROR"
        const val SET_EXPOSURE_WHEN_STOPPED_ERROR_MESSAGE = "The exposure cannot be changed when the camera is stopped."
    }
}